Bug 3914 - insmod - требуется одинаковая функциональность для 2.6 и 2.4
: insmod - требуется одинаковая функциональность для 2.6 и 2.4
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/modutils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-03-31 11:27 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-31 11:27:26
Это на 2.4:
[root@penalty root]# rmmod vfat
[root@penalty root]# insmod vfat
Using /lib/modules/2.4.25-vs-smp-alt1.1/kernel/fs/vfat/vfat.o

Это на 2.6:
[root@salto root]# rmmod vfat
[root@salto root]# insmod vfat
insmod: can't read 'vfat': No such file or directory


В правильной ситуации функциональность должна быть одинакова.
------- Comment #1 From 2004-05-14 19:42:36 -------
Так что с этой штукой будем делать ?
Мне эта функциональность нужна для скриптов (hotplug и т.д.)
------- Comment #2 From 2004-06-27 21:08:33 -------
Fixed in modutils-2.4.27-alt2.

Попутно восстановлена работоспособность insmod -f для ядер 2.6.x (а также
добавлены специфические для 2.6.x опции --force-vermagic и --force-modversion).
 Однако поведение insmod -f на 2.4.x и 2.6.x не вполне совпадает.  Для 2.4.x
флаг -f срабатывал только при необходимости - т.е., если модуль на самом деле
нормально загружался без -f, флаг tainted для ядра не устанавливался (впрочем,
это ALT-specific).  Для 2.6.x использование -f в любом случае приводит к
установке флага tainted (в 2.6.x его устанавливает само ядро).

Для избежания необоснованной установки флага tainted можно использовать
конструкцию insmod module.o || insmod -f module.o, хотя это приведёт к лишним
сообщениям об ошибках.